.v2-viewer-page {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;
  background-color: #FCFCFC;
  overflow: hidden;
  color: #2F2F2F;
  min-height: 600px;
}

.v2-viewer-page.inline {
  height: calc(100vh - 390px);
}
.v2-viewer-header {
  flex: 0 0 52px;
  padding: 3px 20px 2px 27px;
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 10px;
  font-size: 22px;
  font-weight: 500;
  color: #2F2F2F;
}
.file-path-wrapper {
  flex: 0 0 36px;
  padding: 3px 20px 2px 27px;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 16px;
  color: #2F2F2F;
}
.v2-viewer-header .navigation-title {
  cursor: pointer;
  border-top: 1px solid transparent;
  border-bottom: 1px solid transparent;
}
.v2-viewer-header .navigation-title.sub-title {
  flex-shrink: 2;
  flex-grow: 0;
  flex-basis: 20%;
}
.v2-viewer-header .navigation-title:hover {
  border-bottom-color: #2F2F2F;
}
.v2-viewer-header .v2-viewer-title {
  flex: 1;
}
.v2-viewer-header .back-button {
  flex: 0 0 30px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  background-image: url("/img/2025/icon/archive/arrow_forward_ios.png");
  background-position: center center;
  background-repeat: no-repeat;
  transform: rotate(180deg);
}
.v2-viewer-page .v2-viewer-content {
  display: flex;
  flex-direction: row;
  flex: 1;
  overflow: hidden;
  padding: 6px;
  column-gap: 6px;
}
.v2-viewer-wrapper {
  flex: 1;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  background-color: #000000;
  border-radius: 4px;
}
.v2-viewer-wrapper .v2-player-wrapper {
  position: relative;
  flex: 1;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}
.v2-viewer-wrapper .v2-player-wrapper .v2-player {
  position: relative;
  flex: 1;
  overflow: hidden;
}
.v2-viewer-wrapper .v2-player-wrapper .v2-player .v2-player-layer {
  position: absolute;
  pointer-events: none;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 1;
}
.v2-viewer-wrapper .v2-controller-wrapper {
  position: relative;
  flex-shrink: 0;
  padding: 0 13px;
  overflow: visible;
}
.v2-viewer-page .v2-viewer-side-wrapper {
  display: flex;
  flex-direction: column;
  width: 384px;
  height: 100%;
  overflow: hidden;
  color: #2F2F2F;
  font-size: 15px;
  font-weight: 400;
  background-color: #FCFCFC;
}
.v2-viewer-page .v2-viewer-side-wrapper .v2-viewer-side-header {
  flex: 0 0 39px;
  padding-top: 1px;
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 10px;
  border-bottom: 1px solid #BFBFBF;
}
.v2-viewer-page .v2-viewer-side-wrapper .v2-viewer-side-header .v2-viewer-side-tab {
  position: relative;
  flex-shrink: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 4px;
  cursor: pointer;
  padding: 0 3px;
  width: fit-content;
  height: 100%;
  margin-right: 10px;
}
.v2-viewer-page .v2-viewer-side-wrapper .v2-viewer-side-header .v2-viewer-side-tab.on {
  color: #2962DB;
  pointer-events: none;
}
.v2-viewer-page .v2-viewer-side-wrapper .v2-viewer-side-header .v2-viewer-side-tab.on:after {
  content: '';
  position: absolute;
  bottom: -1px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #2962DB;
}
.v2-viewer-page .v2-viewer-side-wrapper .v2-viewer-side-header .v2-viewer-header-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 6px;
  font-size: 14px;
  cursor: pointer;
  background-color: #F3F6FC;
  border-radius: 8px;
  height: 30px;
  padding: 0 12px;
}
.v2-viewer-side-content-wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  flex: 1;
  width: 100%;
  overflow: hidden;
  padding: 12px 0;
}
.v2-viewer-side-content-wrapper .v2-viewer-side-content {
  display: flex;
  flex-direction: column;
  position: relative;
  flex: 1;
  width: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  padding-right: 5px;
}

.clip-popup-wrapper {
  pointer-events: none;
  position: absolute;
  display: flex;
  flex-direction: column;
  row-gap: 5px;
  left: 5px;
  background-color: #FCFCFC;
  width: 400px;
  padding: 14px 11px 9px 10px;
  border-radius: 10px;
  border: 1px solid #C8DBF4;
  height: fit-content;
  opacity: 0;
  transition-property: opacity;
  transition-duration: 0.05s;
  z-index: 1;
}
.clip-popup-wrapper.on {
  pointer-events: auto;
  opacity: 1;
  transition-property: opacity;
  z-index: 5;
  transition-duration: 0.2s;
}

.clip-popup-wrapper .clip-popup-top {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  color: #2F2F2F;
  padding-right: 4px;
  column-gap: 4px;
}
.clip-popup-wrapper .clip-popup-top .clip-popup-top-title {
  font-size: 14px;
  font-weight: 500;
  flex: 1;
  padding-right: 10px;
}
.clip-popup-wrapper .clip-popup-top .clip-popup-top-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  width: 20px;
  height: 20px;
  flex: 0 0 20px;
}
.clip-popup-wrapper .clip-popup-input {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  width: 100%;
  column-gap: 7px;
}
.clip-popup-wrapper .clip-popup-input .clip-popup-text {
  position: relative;
  flex: 1;
  height: auto;
  min-height: 40px;
  max-height: 80px;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  color: #2F2F2F;
  padding: 9px 8px;
  background-color: #F4F6FA;
  border-radius: 4px;
  outline: none;
  border: 1px solid #E8E8E8;
  overflow: auto;
  word-break: break-all;
  white-space: break-spaces;
  z-index: 1;
}
.clip-popup-wrapper .clip-popup-input .clip-popup-confirm-btn {
  cursor: pointer;
  flex: 0 0 32px;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  overflow: hidden;
  background-position: 5px 7px;
  background-repeat: no-repeat;
  background-image: url('/img/2025/icon/viewer/Send.png');
  margin-top: 4px;
  background-color: #8A95AB;
}
.clip-popup-wrapper .clip-popup-input .clip-popup-confirm-btn:hover {
  background-color: #2962DB;
}


.viewer-page-wrapper {
  display: flex;
  flex-direction: column;
  flex: 1;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  background-color: #FCFCFC;
}
